FruxonDocs
ApiAgent takeovers

Reassigns an active takeover to a different operator (from the network operator roster).

The new operator is pinged on their channel before the previous bridge is released, so the customer is never left without an operator. Reassigning to the current operator is a no-op. Fails `409` when the takeover is no longer active or the chosen operator can't be reached.

POST
/v1/tenants/{tenant}/agents/{agent}/takeovers/{takeover}:assign
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The unique identifier of the agent.

takeover*string

The bridge id of the active takeover.

Formatuuid
tenant*string

The tenant identifier

The operator to reassign to.

operatorParticipantId*string
Formatuuid
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/takeovers/497f6eca-6276-4993-bfeb-53cbbbba6f08:assign" \  -H "Content-Type: application/json" \  -d '{    "operatorParticipantId": "3a030ca5-8d8c-410c-82e4-9ecfd85bd83c"  }'
{
  "bridgeId": "00000000-0000-0000-0000-000000000000",
  "state": "PENDING",
  "topicId": "00000000-0000-0000-0000-000000000000",
  "customerParticipantId": "00000000-0000-0000-0000-000000000000",
  "customerDisplayName": "string",
  "operatorParticipantId": "00000000-0000-0000-0000-000000000000",
  "operatorDisplayName": "string",
  "topicGoal": "string",
  "topicPriority": "LOW",
  "reason": "string",
  "openedAt": 0,
  "activatedAt": 0,
  "lastActivityAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}